nxt.http.callers

## Class ParsePhasingParamsCall

- java.lang.Object
- - nxt.http.APICall.Builder<ParsePhasingParamsCall>
  - - nxt.http.callers.ParsePhasingParamsCall

-     public class ParsePhasingParamsCall
      extends APICall.Builder<ParsePhasingParamsCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParsePhasingParamsCall` | `create()`
    `ParsePhasingParamsCall` | `phasingExpression(java.lang.String phasingExpression)`
    `ParsePhasingParamsCall` | `phasingHashedSecret(java.lang.String phasingHashedSecret)`
    `ParsePhasingParamsCall` | `phasingHashedSecretAlgorithm(byte phasingHashedSecretAlgorithm)`
    `ParsePhasingParamsCall` | `phasingHolding(long phasingHolding)`
    `ParsePhasingParamsCall` | `phasingHolding(java.lang.String phasingHolding)`
    `ParsePhasingParamsCall` | `phasingLinkedTransaction(java.lang.String... phasingLinkedTransaction)`
    `ParsePhasingParamsCall` | `phasingMinBalance(long phasingMinBalance)`
    `ParsePhasingParamsCall` | `phasingMinBalanceModel(byte phasingMinBalanceModel)`
    `ParsePhasingParamsCall` | `phasingQuorum(long phasingQuorum)`
    `ParsePhasingParamsCall` | `phasingRecipientPropertyName(java.lang.String phasingRecipientPropertyName)`
    `ParsePhasingParamsCall` | `phasingRecipientPropertySetter(java.lang.String phasingRecipientPropertySetter)`
    `ParsePhasingParamsCall` | `phasingRecipientPropertyValue(java.lang.String phasingRecipientPropertyValue)`
    `ParsePhasingParamsCall` | `phasingSenderPropertyName(java.lang.String phasingSenderPropertyName)`
    `ParsePhasingParamsCall` | `phasingSenderPropertySetter(java.lang.String phasingSenderPropertySetter)`
    `ParsePhasingParamsCall` | `phasingSenderPropertyValue(java.lang.String phasingSenderPropertyValue)`
    `ParsePhasingParamsCall` | `phasingVotingModel(byte phasingVotingModel)`
    `ParsePhasingParamsCall` | `phasingWhitelisted(java.lang.String... phasingWhitelisted)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ParsePhasingParamsCall create()

    - #### phasingWhitelisted

          public ParsePhasingParamsCall phasingWhitelisted(java.lang.String... phasingWhitelisted)

    - #### phasingRecipientPropertyName

          public ParsePhasingParamsCall phasingRecipientPropertyName(java.lang.String phasingRecipientPropertyName)

    - #### phasingQuorum

          public ParsePhasingParamsCall phasingQuorum(long phasingQuorum)

    - #### phasingSenderPropertySetter

          public ParsePhasingParamsCall phasingSenderPropertySetter(java.lang.String phasingSenderPropertySetter)

    - #### phasingSenderPropertyName

          public ParsePhasingParamsCall phasingSenderPropertyName(java.lang.String phasingSenderPropertyName)

    - #### phasingExpression

          public ParsePhasingParamsCall phasingExpression(java.lang.String phasingExpression)

    - #### phasingRecipientPropertyValue

          public ParsePhasingParamsCall phasingRecipientPropertyValue(java.lang.String phasingRecipientPropertyValue)

    - #### phasingLinkedTransaction

          public ParsePhasingParamsCall phasingLinkedTransaction(java.lang.String... phasingLinkedTransaction)

    - #### phasingHashedSecret

          public ParsePhasingParamsCall phasingHashedSecret(java.lang.String phasingHashedSecret)

    - #### phasingHolding

          public ParsePhasingParamsCall phasingHolding(java.lang.String phasingHolding)

    - #### phasingHolding

          public ParsePhasingParamsCall phasingHolding(long phasingHolding)

    - #### phasingRecipientPropertySetter

          public ParsePhasingParamsCall phasingRecipientPropertySetter(java.lang.String phasingRecipientPropertySetter)

    - #### phasingHashedSecretAlgorithm

          public ParsePhasingParamsCall phasingHashedSecretAlgorithm(byte phasingHashedSecretAlgorithm)

    - #### phasingMinBalance

          public ParsePhasingParamsCall phasingMinBalance(long phasingMinBalance)

    - #### phasingMinBalanceModel

          public ParsePhasingParamsCall phasingMinBalanceModel(byte phasingMinBalanceModel)

    - #### phasingVotingModel

          public ParsePhasingParamsCall phasingVotingModel(byte phasingVotingModel)

    - #### phasingSenderPropertyValue

          public ParsePhasingParamsCall phasingSenderPropertyValue(java.lang.String phasingSenderPropertyValue)